cdparanoia (3.10.2+debian-14build3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:55:19 +0200

cdparanoia (3.10.2+debian-14build2) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:45:51 +0100

cdparanoia (3.10.2+debian-14build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:10:05 +0200

cdparanoia (3.10.2+debian-14) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Use secure copyright file specification URI.
  * Add missing colon in closes line.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Repository.

  [ TANIGUCHI Takaki ]
  * Bump Standards-Version to 4.5.1
  * Bump debian-compat to 13
  * debian/not-installed: Add ignored header file.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 13 Mar 2021 13:58:25 +0900

cdparanoia (3.10.2+debian-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/libcdparanoia-dev.install: Do not install unused utils.h (Closes:
    #982321)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Feb 2021 22:37:56 +0100

cdparanoia (3.10.2+debian-13) unstable; urgency=medium

  * debian/control: Update Vcs-*.
  * debian/rules: Add option --no-parallel (Closes: #888727)
  * debian/patches/0009-dh-autoconf-genrate-config-files.patch
  * debian/rules: Copy config.guess and config.sub to update config
    files by dh-autoreconf (Closes: #888725)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 30 Jan 2018 14:28:04 +0900

cdparanoia (3.10.2+debian-12) unstable; urgency=medium

  * Bump Standards-Version 4.1.3
  * debian/compat: Bump to 10.
  * Move Vcs-* to salsa.debian.org.
  * Update debehelper version.
  * debian/copyright: Remove duplicate license definition.
  * debian/rules: Rewrite in modern dh style.
    + Add debug symbol. (Closes: #836978)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 27 Jan 2018 23:21:37 +0900

cdparanoia (3.10.2+debian-11.1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Non-maintainer upload.
  * d/control: Drop obsolete "DM-Upload-Allowed: yes"

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass --host= to ./configure rather than CC=. (Closes: #872639)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 17 Nov 2017 22:00:09 +0100

cdparanoia (3.10.2+debian-11) unstable; urgency=low

  [ TANIGUCHI Takaki ]
  * debian/copyright: copyright-format 1.0
  * debian/control: use kfreebsd-any instead of particular architectures
    (Closes: #634764)
  * Apply multiarch patch (Closes: #650988)
  * Bump Standards-Version to 3.9.3.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 14 Jul 2012 15:40:47 +0900

cdparanoia (3.10.2+debian-10.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer's consent.
  * Urgency "medium" for transition-related RC bug fix.
  * Fix FTBFS on kfreebsd caused by libcam API changes.  (Closes: #660403)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 29 Feb 2012 18:34:44 +0000

cdparanoia (3.10.2+debian-10) unstable; urgency=low

  [ Rogério Brito ]
  * Preparation to format "3.0 (quilt)".
  * Remove README.source (void effect with format 3.0).
  * Refresh patches to avoid potential problems with the buildd's and
    dpkg's implementation of quilt.
  * Include control on compilation and linking flags.
  * Include extra fixes for spelling in the patch.
  * Update 01-typos-and-spelling.patch to match DEP-3
  * Add an option to not suppress progress bar when stderr is
    redirected. Closes: #589112.
  * Split build-dependencies for VCS-friendliness
  * Remove duplicate field in the binary packages
  * Detail some of the long descriptions so that they are not equal
    anymore
  * Update 01-typos-and-spelling.patch with some other spelling errors
  * Fix some more typos. Closes: #552209, #572482.

  [ TANIGUCHI Takaki ]
  * debian/watch: add new control file.

 -- Rogério Brito <rbrito@ime.usp.br>  Sat, 06 Nov 2010 14:53:55 -0200

cdparanoia (3.10.2+debian-9) unstable; urgency=low

  * New maintainer (Closes: #543904)
  * debian/control: add Vcs-*.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 23 Nov 2009 10:28:07 +0900

cdparanoia (3.10.2+debian-8) unstable; urgency=low

  * Updating to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 11:33:55 +0200

cdparanoia (3.10.2+debian-7) unstable; urgency=low

  * Adding updated kfreebsd patches from Petr Salinger
    <Petr.Salinger@seznam.cz> (Closes: #540802).
  * Tidy libcdparanoia-dev install file.
  * Wrapping build-depends.
  * Adding misc depends.

 -- Daniel Baumann <daniel@debian.org>  Fri, 14 Aug 2009 01:34:32 +0200

cdparanoia (3.10.2+debian-6) unstable; urgency=low

  * Updating section of the debug package.
  * Updating package to standards version 3.8.2.
  * Updating year in copyright file.
  * Updating rules file to current state of the art.
  * Using quilt rather than dpatch.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Mon, 20 Jul 2009 11:42:07 +0200

cdparanoia (3.10.2+debian-5) unstable; urgency=medium

  * Adding patch from upstream to fix endian problem
    (Closes: #499716, #506337, #507795, #509762).

 -- Daniel Baumann <daniel@debian.org>  Sat, 10 Jan 2009 15:03:00 -0500

cdparanoia (3.10.2+debian-4) unstable; urgency=low

  * Renaming libcdparanoia0-dev to correct name libcdparanoia-dev.
  * Adding debug package.
  * Updating package description.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Nov 2008 21:34:00 +0100

cdparanoia (3.10.2+debian-3) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Manually adding shlibs file (Closes: #506287).

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Nov 2008 21:23:00 +0100

cdparanoia (3.10.2+debian-2) unstable; urgency=low

  * Using patch-stamp rather than patch in rules file.
  * Removing config.guess and config.sub in clean target of rules.
  * Adding patch from upstream to fix new reserved keyword in GCC 4.3
    (Closes: #499676).

 -- Daniel Baumann <daniel@debian.org>  Sat, 04 Oct 2008 10:35:00 +0200

cdparanoia (3.10.2+debian-1) unstable; urgency=low

  * Merging upstream version 3.10.2+debian (Closes: #499083).
  * Rediffing typos-and-spelling.dpatch.
  * Rediffing kfreebsd.dpatch.

 -- Daniel Baumann <daniel@debian.org>  Tue, 16 Sep 2008 07:42:00 +0200

cdparanoia (3.10.1+debian-1) unstable; urgency=low

  * Updating vcs fields in control file.
  * Merging upstream version 3.10.1+debian.
  * Updating copyright file to reflect upstream change from GPL-3+/LGPL-3+ to
    GPL-2+/LGPL-2.1+.

 -- Daniel Baumann <daniel@debian.org>  Tue, 16 Sep 2008 07:06:00 +0200

cdparanoia (3.10.0+debian-1) unstable; urgency=medium

  * Simplyfing cdparanoia install file.
  * Rediffing all patches.
  * Using lintian debhelper to install lintian overrides.
  * Reordering rules file.
  * Rewriting copyright file in machine-interpretable format.
  * Updating docs debhelper files for upstream removal of FAQ.txt.
  * Adding vcs fields in control file.
  * Upgrading package to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Removing useless whitespaces.
  * Merging upstream version (Closes: #485622).

 -- Daniel Baumann <daniel@debian.org>  Wed, 11 Jun 2008 07:55:00 +0200

cdparanoia (3.10+debian~pre0-6) unstable; urgency=low

  * Bumping to new policy.
  * Using new homepage field in control.
  * Don't hide make errors in clean target of rules.
  * Added fail-missing to dh_install call in rules.
  * Updated lintian override.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 12:22:00 +0100

cdparanoia (3.10+debian~pre0-5) unstable; urgency=low

  * Minor cleanups.
  * Bumped package to debhelper 5.

 -- Daniel Baumann <daniel@debian.org>  Sun, 29 Apr 2007 19:22:00 +0200

cdparanoia (3.10+debian~pre0-4) unstable; urgency=medium

  * Peter Salinger <Petr.Salinger@seznam.cz> supplied an update for his
    kfreebsd support patch to make it work with kdemultimedia-3.5.5
    (Closes: #402208).

 -- Daniel Baumann <daniel@debian.org>  Fri, 08 Dec 2006 23:48:00 +0100

cdparanoia (3.10+debian~pre0-3) unstable; urgency=medium

  * Applied patch from Petr Salinger <Petr.Salinger@seznam.cz> to fix kFreeBSD
    support (Closes: #399054).

 -- Daniel Baumann <daniel@debian.org>  Fri, 17 Nov 2006 18:41:00 +0100

cdparanoia (3.10+debian~pre0-2) unstable; urgency=low

  * cdparanoia switched to use configure.{sub,guess} instead of
    config.{sub,guess}, so adjusting the clean: to match it (Closes: #391469).

 -- Daniel Baumann <daniel@debian.org>  Fri, 06 Oct 2006 21:19:00 +0200

cdparanoia (3.10+debian~pre0-1) unstable; urgency=low

  * New upstream release.
  * Rebuild upstream tarball without debian directory.
  * Dropping 6 of 9 dpatches, they want all upstream *jippie* :)
  * Dropping kfreebsd dpatch temporarily, needs porting.

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Oct 2006 23:51:00 +0200

cdparanoia (3a9.8-14) unstable; urgency=low

  * New email address.
  * Bumped policy version.
  * Updated build-depends for kfreebsd-amd64 (Closes: #361457).

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Jul 2006 06:19:00 +0200

cdparanoia (3a9.8-13) unstable; urgency=low

  * Added patch to fix some manpage typos (Closes: #135696, #154954, #340341).
  * Broken out the remained patches from the old big-fat conglomeration patch.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Thu, 23 Feb 2006 20:38:00 +0100

cdparanoia (3a9.8-12) unstable; urgency=low

  * New Maintainer (Closes: #353393).
  * Redone debian/ based on newer debhelper templates.
  * Using dpatch for patch management.
  * Added patch to support higher ide devices (Closes: #268946).
  * Added patch to support GNU/kFreeBSD (Closes: #325316).
  * Added patch to use cdda_device_name instead of struct cdrom_drive (#325316).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Sat, 18 Feb 2006 08:29:00 +0100

cdparanoia (3a9.8-11) unstable; urgency=low

  * Fix double heartbeat (Closes: #235415)

 -- Aaron Lehmann <aaronl@vitelus.com>  Sun, 29 Feb 2004 13:53:43 -0800

cdparanoia (3a9.8-10) unstable; urgency=low

  * Check for a null pointer in the scanning routines to prevent a segfault
      (Closes:#168683)

 -- Aaron Lehmann <aaronl@vitelus.com>  Wed, 30 Jul 2003 11:27:16 -0700

cdparanoia (3a9.8-9) unstable; urgency=low

  * Here's an i386 version that wasn't built with mangled CFLAGS.
      (Closes: #202365)
  * Do not unconditionally strip the binary.

 -- Aaron Lehmann <aaronl@vitelus.com>  Tue, 22 Jul 2003 14:53:34 -0700

cdparanoia (3a9.8-8) unstable; urgency=low

  * New maintainer. (Closes: #163232)
  * Bump Standards-Version.
  * Move libcdparanoia0-dev to section libdevel.
  * Link libcdda_paranoia against libcdda_interface. (Closes: #187369)
  * Work around deprecated use of labels at the end of compound statements.

 -- Aaron Lehmann <aaronl@vitelus.com>  Fri, 18 Jul 2003 10:17:50 -0700

cdparanoia (3a9.8-7) unstable; urgency=low

  * Orphaning.  Simply set maintainer to packages@qa.debian.org.

 -- Dale E Martin <dmartin@cliftonlabs.com>  Thu, 03 Oct 2002 15:24:12 -0400

cdparanoia (3a9.8-6) unstable; urgency=low

  * Closes: #99703.  Andres Salomon was kind enough to send a patch
  addressing this bug, as well as moving to a much more debhelper focused
  build.  Joey Hess also was kind enough to give me some debhelper
  guidance.

 -- Dale E Martin <dmartin@cliftonlabs.com>  Fri, 15 Mar 2002 11:23:27 -0500

cdparanoia (3a9.8-5) unstable; urgency=low

  * Changed the section of libcdparanoia0-dev to "devel" as that's what
  the override file has, and what I'm told is correct.

 -- Dale E Martin <dmartin@cliftonlabs.com>  Tue, 07 Aug 2001 16:24:38 -0400

cdparanoia (3a9.8-4) unstable; urgency=low

  * Recompiled x86 packages using gcc 2.95.x since that's what woody will
  use as it's official compiler.

 -- Dale E Martin <dmartin@cliftonlabs.com>  Thu, 02 Aug 2001 09:50:00 -0400

cdparanoia (3a9.8-3) unstable; urgency=low

  * Readded /usr/doc links, they're still in policy.
  * Updated to policy version 3.5.6.0.

 -- Dale E Martin <dmartin@cliftonlabs.com>  Thu, 02 Aug 2001 09:49:45 -0400

cdparanoia (3a9.8-2) unstable; urgency=low

  * Added debhelper to Build-Depends to quiet down lintian.

 -- Dale E Martin <dmartin@cliftonlabs.com>  Sat, 31 Mar 2001 08:54:07 -0500

cdparanoia (3a9.8-1) unstable; urgency=low

  * Upstream fixes from Monty, mostly for version 2.4 kernel issues.

 -- Dale E Martin <dmartin@cliftonlabs.com>  Fri, 30 Mar 2001 07:49:59 -0500

cdparanoia (3a9.7-6) unstable; urgency=low

  * Fixed some packaging problems with respect to the documentation.
  Hopefully in line with policy now.

 -- Dale E Martin <dmartin@cliftonlabs.com>  Sat, 03 Mar 2001 07:46:14 -0500

cdparanoia (3a9.7-5) unstable; urgency=low

  * Improved support for devfs - looking for "/dev/.devfsd" now,
  which is the approved (by Richard Gooch) way of checking for devfs.

 -- Dale E Martin <dmartin@cliftonlabs.com>  Wed, 21 Feb 2001 05:44:48 -0500

cdparanoia (3a9.7-4) unstable; urgency=low

  * Changed from looking for "generic" to looking for "cd" device in devfs.

 -- Dale E Martin <dmartin@cliftonlabs.com>  Wed, 07 Feb 2001 21:06:36 -0500

cdparanoia (3a9.7-3) unstable; urgency=low

  * Added support for probing devfs drives.
  * Fixed a bug that was causing segfaults on errors.
  * Brought up to the latest packaging standards.

 -- Dale E Martin <dmartin@cliftonlabs.com>  Wed, 07 Feb 2001 21:03:45 -0500

cdparanoia (3a9.7-2) unstable; urgency=low

  * Added cdparanoia/utils.h to the dev-package.
  * Removed -p from the install flags of the Makefile.
  * Switch all packages to use dh_installdocs in an attempt to get rid
  of lintian warnings.

 -- Dale E. Martin <dmartin@debian.org>  Wed, 22 Dec 1999 07:01:49 -0500

cdparanoia (3a9.7-1) unstable; urgency=low

  * New upstream source.

 -- Dale E. Martin <dmartin@debian.org>  Thu, 16 Dec 1999 22:17:56 -0500

cdparanoia (3a9.6-3) unstable; urgency=low

  * Removed obsolete dir /usr/man and replaced with /usr/share/man.

 -- Dale E. Martin <dmartin@debian.org>  Thu, 16 Dec 1999 22:17:37 -0500

cdparanoia (3a9.6-2) unstable; urgency=low

  * Rebuilt with updated debhelper tools.  Had to tweak the "rules"
    file for /usr/share/doc, too.

 -- Dale E. Martin <dmartin@debian.org>  Fri, 10 Sep 1999 08:32:16 -0400

cdparanoia (3a9.6-1) unstable; urgency=low

  * New upstream source.  Handles newer 2.3 kernels.
  * Updated web site info.

 -- Dale E. Martin <dmartin@debian.org>  Fri, 10 Sep 1999 08:32:00 -0400

cdparanoia (3a9.5-9) unstable; urgency=low

  * Rebuild with source included.  I messed up the upload somehow.

 -- Dale E. Martin <dmartin@debian.org>  Sat, 14 Aug 1999 15:03:33 -0400

cdparanoia (3a9.5-8) unstable; urgency=low

  * Some style type fixes recommended by Darren Stalder.
  * Fixed a problem in the Makefile causing problems for building for some
    users.

 -- Dale E. Martin <dmartin@debian.org>  Wed, 11 Aug 1999 14:34:38 -0400

cdparanoia (3a9.5-7) unstable; urgency=low

  * OK, so I totally screwed up my attempt at the doc dir fix.  Hopefully
    this one is better...

 -- Dale E. Martin <dmartin@debian.org>  Tue, 10 Aug 1999 19:33:14 -0400

cdparanoia (3a9.5-6) unstable; urgency=low

  * Fixed some lintian warnings and errors caught with the newer lintian.
  * When the cdparanoia's old doc dir got converted to a link, it
    appears that dpkg didn't deal with it.  So I added a preinst
    to get rid of it.

 -- Dale E. Martin <dmartin@debian.org>  Mon, 09 Aug 1999 08:30:23 -0400

cdparanoia (3a9.5-5) unstable; urgency=low

  * Updated standards version to 3.0.0.0.
  * Removed CVS dirs from source package.
  * Added "Conflicts" for outdated package names.

 -- Dale E. Martin <dmartin@debian.org>  Sun, 01 Aug 1999 20:26:01 -0400

cdparanoia (3a9.5-4) unstable; urgency=low

  * Fixed several more packaging problems.
  * Renamed cdparanoia-bin back to cdparanoia to make upgrades smooth.
  * Renamed libcdparanoia to libcdparanoia0
  * Renamed libcdparanoia-dev to libcdparanoia0-dev
  * Modified Makefiles to generate soname info in shared libraries.

 -- Dale E. Martin <dmartin@debian.org>  Tue, 13 Jul 1999 12:49:11 -0400

cdparanoia (3a9.5-3) unstable; urgency=low

  * At Dima Barsky's recommendation, split cdparanoia into the separate
    binary packages, libcdparanoia, libcdparanoia-dev, and cdparanoia-bin.
    Thanks to Dima for producing the initial packages making this change.
    * Fixed the problem that cdparanoia was incorrectly packaged as though
    it was Debian native.

 -- Dale E. Martin <dmartin@debian.org>  Fri, 02 Jul 1999 13:22:38 -0400

cdparanoia (3a9.5-2) unstable; urgency=low

  * Compiled and released against glibc2.1.

 -- Dale E. Martin <dmartin@debian.org>  Sat, 12 Jun 1999 00:52:39 -0400

cdparanoia (3a9.5-1) unstable; urgency=low

  * New upstream source.

 -- Dale E. Martin <dmartin@debian.org>  Mon, 29 Mar 1999 15:36:49 -0500

cdparanoia (3a9.4-2) unstable; urgency=low

  * Adding missing docs and other minor packaging updates.

 -- Dale E. Martin <dmartin@debian.org>  Tue, 23 Mar 1999 15:33:05 -0500

cdparanoia (3a9.4-1) unstable; urgency=low

  * Includes patch (upstream) that allows reading of pregrap as track 0.
  * Fixes bug 30140.
  * New upstream source.

 -- Dale E. Martin <dmartin@debian.org>  Thu, 17 Dec 1998 13:23:35 -0500

cdparanoia (3a9.2-1) unstable; urgency=low

  * New upstream source.

 -- Dale E. Martin <dmartin@debian.org>  Thu, 19 Nov 1998 14:46:42 -0500

cdparanoia (3a9-1) unstable; urgency=low

  * New upstream source.

 -- Dale E. Martin <dmartin@debian.org>  Thu, 22 Oct 1998 14:10:09 -0400

cdparanoia (3a8-1) unstable; urgency=low

  * New upstream source.

 -- Dale E. Martin <dmartin@debian.org>  Tue, 25 Aug 1998 00:25:30 -0400

cdparanoia (3a7-1) unstable; urgency=low

  * New upstream source.
  * Compiled against kernel headers 2.0.34, to workaround kernel bug
    that was causing the old package to crash under kernels >= 2.0.34.

 -- Dale E. Martin <dmartin@debian.org>  Thu, 16 Jul 1998 09:11:13 -0400

cdparanoia (3a6-1) unstable; urgency=low

  * This is my first Debian package
  * Initial Release.

 -- Dale E. Martin <dmartin@debian.org>  Sat, 16 May 1998 19:01:53 -0400
